<?php
session_start(); // Запуск сессии

// Проверка, если POST-запрос для сохранения цвета
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['colors'])) {
    $_SESSION['background_colors'] = $_POST['colors']; // Сохраняем выбранные цвета в сессию
}


$users = [
    'MAngela' => '4jd94Z644QIch4',
];

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['login'], $_POST['password'])) {
    $login = $_POST['login'];
    $password = $_POST['password'];

    if (isset($users[$login]) && $users[$login] === $password) {
        $_SESSION['logged_in'] = true;
        header('Location: ' . $_SERVER['PHP_SELF']);
        exit;
    } else {
        $message = 'Неверный логин или пароль!';
    }
}

if (isset($_GET['logout'])) {
    unset($_SESSION['logged_in']);
    header('Location: ' . $_SERVER['PHP_SELF']);
    exit;
}

if (!isset($_SESSION['logged_in']) || $_SESSION['logged_in'] !== true):
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Вход</title>
    <style>
        /* Стили для формы входа */
        body {
            font-family: Arial, sans-serif;
            background-color: #f0f0f0;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            margin: 0;
        }
        .login-form {
            background: #fff;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .login-form h2 {
            margin: 0 0 15px;
        }
        .login-form input[type="text"],
        .login-form input[type="password"] {
            width: 100%;
            padding: 10px;
            margin: 10px 0;
            border: 1px solid #ccc;
            border-radius: 5px;
        }
        .login-form button {
            width: 100%;
            padding: 10px;
            background: #007bff;
            border: none;
            border-radius: 5px;
            color: #fff;
            font-size: 16px;
        }
        .login-form button:hover {
            background: #0056b3;
        }
        .message {
            color: red;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <div class="login-form">
        <h2>Вход</h2>
        <form method="post">
            <input type="text" name="login" placeholder="Логин" required>
            <input type="password" name="password" placeholder="Пароль" required>
            <button type="submit">Войти</button>
        </form>
        <?php if (isset($message)): ?>
            <p class="message"><?php echo $message; ?></p>
        <?php endif; ?>
    </div>
</body>
</html>
<?php
exit;
endif;

$templatePath = 'index.php';
$message = "";
$uniqueFilePath = 'index.php';
$newAvatarUrl = '';
$uniqueId = '';
$projectsFile = 'projects.json';



function addFilesToZip($zip, $folder, $relativePath = '') {
    $files = new RecursiveIteratorIterator(
        new RecursiveDirectoryIterator($folder, RecursiveDirectoryIterator::SKIP_DOTS),
        RecursiveIteratorIterator::SELF_FIRST
    );

    foreach ($files as $file) {
        if (!$file->isDir()) {
            // Добавляем файл с относительным путем внутри архива
            $filePath = $file->getRealPath();
            $relativeFilePath = $relativePath . '/' . $file->getFilename();
            $zip->addFile($filePath, $relativeFilePath);
        }
    }
}

function createZipArchive($uniqueFilePath, $avatarPath) {
    // Определяем путь для сохранения ZIP-архива
    $zipFilePath = str_replace(".php", ".zip", $uniqueFilePath);
    $zip = new ZipArchive();

    if ($zip->open($zipFilePath, ZipArchive::CREATE) === TRUE) {
        // Добавляем index.php файл в архив с именем "index.php"
        $zip->addFile($uniqueFilePath, 'index.php');

        // Добавляем аватарку, если она существует
        if (file_exists($avatarPath)) {
            $zip->addFile($avatarPath, basename($avatarPath));
        }

        // Добавляем отдельные файлы
        $singleFiles = ['background_colors.txt', 'style.css','style.css.map','projects.json','style.scss','favicon.ico'];
        foreach ($singleFiles as $file) {
            if (file_exists($file)) {
                $zip->addFile($file, basename($file));
            }
        }

        // Добавляем директории с файлами
        $directories = [ 'favicon_ion','img'];
        foreach ($directories as $dir) {
            if (is_dir($dir)) {
                addFilesToZip($zip, $dir, $dir);
            }
        }

        $zip->close();
        return $zipFilePath;
    } else {
        return false;
    }
}




function saveProject($uniqueId, $uniqueFilePath, $formData) {
    global $projectsFile;
    
    $projects = [];
    if (file_exists($projectsFile)) {
        $projects = json_decode(file_get_contents($projectsFile), true);
    }

    $projects[$uniqueId] = [
        'file_path' => $uniqueFilePath,
        'form_data' => $formData
    ];

    file_put_contents($projectsFile, json_encode($projects));
}

function deleteProject($uniqueId) {
    global $projectsFile;
    
    if (file_exists($projectsFile)) {
        $projects = json_decode(file_get_contents($projectsFile), true);
        
        if (isset($projects[$uniqueId])) {
            // Удаление файла, связанного с проектом
            $filePath = $projects[$uniqueId]['file_path'];
            if (file_exists($filePath)) {
                unlink($filePath); // Удаление файла с уникальным индексом
            }

            // Удаление аватарки, если она существует
            if (!empty($projects[$uniqueId]['form_data']['avatar'])) {
                $avatarPath = $projects[$uniqueId]['form_data']['avatar'];
                if (file_exists($avatarPath)) {
                    unlink($avatarPath); // Удаление файла аватарки
                }
            }

            // Удаление проекта из списка
            unset($projects[$uniqueId]);
            file_put_contents($projectsFile, json_encode($projects));
            return true;
        }
    }
    
    return false;
}

function getProjects() {
    global $projectsFile;
    if (file_exists($projectsFile)) {
        return json_decode(file_get_contents($projectsFile), true);
    }
    return [];
}

function loadProject($uniqueId) {
    global $projectsFile;
    if (file_exists($projectsFile)) {
        $projects = json_decode(file_get_contents($projectsFile), true);
        if (isset($projects[$uniqueId])) {
            return $projects[$uniqueId];
        }
    }
    return null;
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['delete_project_id'])) {
        // Обработка удаления проекта
        $deleteId = $_POST['delete_project_id'];
        if (deleteProject($deleteId)) {
            $message = "Проект успешно удален!";
        } else {
            $message = "Ошибка при удалении проекта!";
        }
    } elseif (isset($_POST['pixel_id'])) {
        if (isset($_POST['project_id'])) {
            $uniqueId = $_POST['project_id'];
            $project = loadProject($uniqueId);
            if ($project) {
                $content = file_get_contents($project['file_path']);
                $uniqueFilePath = $project['file_path'];
            } else {
                $content = file_get_contents($templatePath);
                $uniqueId = uniqid();
                $uniqueFilePath = "index_{$uniqueId}.php";
            }
        } else {
            $content = file_get_contents($templatePath);
            $uniqueId = uniqid();
            $uniqueFilePath = "index_{$uniqueId}.php";
        }

        $formData = [
            'pixel_id' => $_POST['pixel_id'],
            'channel_name' => $_POST['channel_name'],
            'channel_description' => $_POST['channel_description'],
            'subscribers_count' => $_POST['subscribers_count'],
            'telegram_link' => $_POST['telegram_link'],
            'button_text' => $_POST['button_text'],
            'avatar' => ''
        ];

        if (!empty($_POST['pixel_id'])) {
            $newPixelId = htmlspecialchars($_POST['pixel_id'], ENT_QUOTES, 'UTF-8');
            $content = preg_replace('/tr\?id=\d+&/', "tr?id={$newPixelId}&", $content);
            $content = preg_replace('/fbq\(\'init\', \'[0-9]+\'\);/', "fbq('init', '{$newPixelId}');", $content);
            $content = preg_replace('/https:\/\/www.facebook.com\/tr\?id=\d+&ev=PageView&noscript=1/', 
                                    "https://www.facebook.com/tr?id={$newPixelId}&ev=PageView&noscript=1", $content);
        }

        // Обработка загрузки аватарки
if (!empty($_FILES['avatar']['name'])) {
    $fileType = strtolower(pathinfo($_FILES['avatar']['name'], PATHINFO_EXTENSION));
    $allowedTypes = ["jpg", "jpeg", "png", "gif"];
    if (in_array($fileType, $allowedTypes)) {
        $avatarPath = 'ava_' . uniqid() . '.' . $fileType;
        if (move_uploaded_file($_FILES['avatar']['tmp_name'], $avatarPath)) {
            $newAvatarUrl = $avatarPath . "?t=" . time();
            $content = preg_replace('/<img src="[^"]+"/', '<img src="' . $newAvatarUrl . '"', $content);
            $content = preg_replace('/<meta property="og:image" content="[^"]+">/', 
                                    '<meta property="og:image" content="' . $newAvatarUrl . '">', $content);
            $formData['avatar'] = $avatarPath;
        } else {
            $message .= "Ошибка при загрузке файла. ";
        }
    } else {
        $message .= "Допускаются только JPG, JPEG, PNG или GIF файлы. ";
    }
}

if (!empty($_POST['channel_name'])) {
    $newTitle = htmlspecialchars($_POST['channel_name'], ENT_QUOTES, 'UTF-8');

    // Используем preg_replace_callback для замены только текста внутри <div class="nik">, оставляя пробелы между текстом и SVG
    $content = preg_replace_callback('/(<div class="nik">)([^<]*)(<svg.*<\/svg>)/s', function($matches) use ($newTitle) {
        // Сохраняем пробел перед SVG, чтобы иконка не сближалась с текстом
        return $matches[1] . $newTitle . ' ' . $matches[3];
    }, $content);

    // Обновляем мета-тег og:title
    $content = preg_replace('/<meta property="og:title" content="[^"]+">/', '<meta property="og:title" content="' . $newTitle . '">', $content);
}


// Обработка редактирования количества подписчиков
if (!empty($_POST['subscribers_count'])) {
    $newSubscribersCount = htmlspecialchars($_POST['subscribers_count'], ENT_QUOTES, 'UTF-8');
    $content = preg_replace('/<div class="name">[^<]* subscribers<\/div>/', '<div class="name">' . $newSubscribersCount . ' subscribers</div>', $content);
}

// Обработка редактирования описания
if (!empty($_POST['channel_description'])) {
    $newDescription = htmlspecialchars($_POST['channel_description'], ENT_QUOTES, 'UTF-8');
    $content = preg_replace('/<div class="coment">[^<]*<\/div>/', '<div class="coment">' . $newDescription . '</div>', $content);
    $content = preg_replace('/<meta property="og:description" content="[^"]+">/', '<meta property="og:description" content="' . $newDescription . '">', $content);
}

// Обработка редактирования ссылки
if (!empty($_POST['telegram_link'])) {
    $telegramLink = htmlspecialchars($_POST['telegram_link'], ENT_QUOTES, 'UTF-8');
    
    // Исправленное регулярное выражение для ссылок с символом "+"
    if (preg_match('/https:\/\/t\.me\/\+([a-zA-Z0-9_]+)/', $telegramLink, $matches)) {
        $telegramUrl = "tg://join?invite=" . $matches[1];
    } elseif (preg_match('/https:\/\/t\.me\/([a-zA-Z0-9_]+)/', $telegramLink, $matches)) {
        $telegramUrl = "tg://resolve?domain=" . $matches[1];
    } else {
        $telegramUrl = $telegramLink;
    }

    $content = preg_replace('/<a class="btn-card" href="tg:\/\/[^"]+"/', '<a class="btn-card" href="' . $telegramUrl . '"', $content);
    $content = preg_replace('/<meta property="al:ios:url" content="tg:\/\/[^"]+">/', 
                            '<meta property="al:ios:url" content="' . $telegramUrl . '">', $content);
    $content = preg_replace('/<meta property="al:android:url" content="tg:\/\/[^"]+">/', 
                            '<meta property="al:android:url" content="' . $telegramUrl . '">', $content);
    $content = preg_replace('/<meta name="twitter:app:url:iphone" content="tg:\/\/[^"]+">/', 
                            '<meta name="twitter:app:url:iphone" content="' . $telegramUrl . '">', $content);
    $content = preg_replace('/<meta name="twitter:app:url:ipad" content="tg:\/\/[^"]+">/', 
                            '<meta name="twitter:app:url:ipad" content="' . $telegramUrl . '">', $content);
    $content = preg_replace('/<meta name="apple-itunes-app" content="app-id=686449807, app-argument: tg:\/\/[^"]+">/', 
                            '<meta name="apple-itunes-app" content="app-id=686449807, app-argument: ' . $telegramUrl . '">', $content);
    $content = preg_replace('/<meta name="twitter:app:url:googleplay" content="https:\/\/t\.me\/[^"]+">/', 
                            '<meta name="twitter:app:url:googleplay" content="' . $telegramLink . '">', $content);
}
// Обработка изменения текста кнопки
if (!empty($_POST['button_text'])) {
    $newButtonText = htmlspecialchars($_POST['button_text'], ENT_QUOTES, 'UTF-8');
    $content = preg_replace('/<a class="btn-card" href="[^"]+" onclick="loadFacebookPixel\(\)">[^<]*<\/a>/', '<a class="btn-card" href="' . $telegramUrl . '" onclick="loadFacebookPixel()">' . $newButtonText . '</a>', $content);
}


        if (file_put_contents($uniqueFilePath, $content) !== false) {
    saveProject($uniqueId, $uniqueFilePath, $formData);

    // Создаем ZIP-архив
    $zipFilePath = createZipArchive($uniqueFilePath, $formData['avatar']);

    // Если архив успешно создан, добавляем ссылку на скачивание
    if ($zipFilePath) {
        $message .= "Уникальная ссылка: <a href='{$uniqueFilePath}' target='_blank' class='unique-link'>СМОТРЕТЬ</a> ";
        $message .= "<a href='{$zipFilePath}' class='unique-link' download>СКАЧАТЬ ZIP</a>";
    } else {
        $message .= "Ошибка при создании ZIP-архива!";
    }
} else {
    $message .= "Ошибка при записи файла!";
}

    }
}
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Админ-панель</title>
    <link rel="icon" href="mlogo.jpg" type="image/x-icon">
    <title>Админ-панель</title>
   
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;700&display=swap&subset=cyrillic" rel="stylesheet">
    <style>
        /* Общие стили */
        * {
            box-sizing: border-box;
        }
         .icon {
        width: 100px;
        height: 100px;
    }
        body, html {
            margin: 0;
            padding: 0;
            overflow-x: hidden;
            font-family: Montserrat, sans-serif;
        }
        .wrapper {
            display: flex;
            min-height: 100vh;
            overflow-x: hidden;
        }
        .sidebar {
            width: 300px;
            background: #fff;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-right: 1px solid #ccc;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            height: 100vh;
            overflow-y: auto;
            position: sticky;
            top: 0;
        }
        .content {
            flex-grow: 1;
            padding: 20px;
            display: flex;
            flex-direction: column;
            height: auto;
            overflow-y: auto;
            box-sizing: border-box;
        }
        h1, h2 {
            color: #54a9eb;
            text-align: center;
        }
        form {
            display: flex;
            flex-direction: column;
        }
        label {
            margin-bottom: 10px;
            font-weight: bold;
        }
        input[type="text"], input[type="file"], textarea {
            margin-bottom: 20px;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
            width: 100%;
            box-sizing: border-box;
        }
        button {
            padding: 10px;
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s;
        }
        button:hover {
            background-color: #0056b3;
        }
        .iframe-container {
            flex-grow: 1;
            width: 100%;
            border-radius: 8px;
            overflow: hidden;
            display: flex;
            flex-direction: column;
            height: 100%;
            box-sizing: border-box;
        }
        iframe {
            flex-grow: 1;
            border: none;
            width: 100%;
            height: 100%;
        }
        .author {
            text-align: center;
            margin-top: 20px;
        }
        .author a {
            color: #007bff;
            text-decoration: none;
        }
        .author a:hover {
            text-decoration: underline;
        }
        .success-message {
            text-align: center;
            color: green;
            margin-top: 20px;
        }
        .unique-link {
            background-color: #007bff;
            color: white;
            padding: 10px 20px;
            text-decoration: none;
            border-radius: 4px;
            display: inline-block;
            margin-top: 10px;
        }
        .unique-link:hover {
            background-color: #0056b3;
        }
        .project-selector {
            text-align: center;
            margin-top: 20px;
        }
        .project-selector select {
            padding: 10px;
            border-radius: 4px;
            border: 1px solid #ccc;
            width: 100%;
        }
        .avatar-preview {
            display: block;
            margin-bottom: 20px;
            max-width: 100%;
            height: auto;
            border-radius: 4px;
            border: 1px solid #ccc;
        }
        .background-selector {
            margin-top: 20px;
        }
        .background-selector h2 {
            margin-bottom: 10px;
        }
        .color-options {
            display: flex;
            flex-wrap: wrap;
            gap: 10px;
        }
        .color-option {
            border: none;
            width: 30px;
            height: 30px;
            cursor: pointer;
            border-radius: 50%;
        }
        @media (max-width: 768px) {
            .wrapper {
                flex-direction: column;
            }
            .sidebar {
                width: 100%;
                height: auto;
                border-right: none;
                border-bottom: 1px solid #ccc;
                position: relative;
            }
            .content {
                padding: 10px;
                overflow-x: hidden;
            }
            .iframe-container {
                height: auto;
            }
            iframe {
                height: 500px;
                width: 97vw;
            }
        }
    </style>
</head>
<body>
  <div class="wrapper">
        <div class="sidebar">
            <div style="text-align: center;">
                <h1>Telegram FBpix</h1>
                <img src="pix.svg" alt="pixLogo" width="60" height="60">
                <form method="post" enctype="multipart/form-data" id="projectForm">
                    <input type="hidden" name="project_id" id="project_id" value="">
                    <label for="pixel_id">Введите новый номер пикселя:</label>
                    <input type="text" id="pixel_id" name="pixel_id" pattern="\d*" inputmode="numeric" required>

                    <label for="avatar">Загрузите новую аватарку (JPG, JPEG, PNG, GIF):</label>
                    <img id="avatarPreview" src="#" alt="Preview" class="avatar-preview" style="display:none;">
                    <input type="file" id="avatar" name="avatar" accept=".jpg,.jpeg,.png,.gif">

                    <label for="channel_name">Введите новое название канала:</label>
                    <input type="text" id="channel_name" name="channel_name" required>

                    <label for="channel_description">Введите новое описание канала:</label>
                    <textarea id="channel_description" name="channel_description" rows="4" required></textarea>

                    <label for="subscribers_count">Введите количество подписчиков:</label>
                    <input type="text" id="subscribers_count" name="subscribers_count" required>

                    <label for="telegram_link">Введите новую ссылку Telegram:</label>
                    <input type="text" id="telegram_link" name="telegram_link" required>

                    <label for="button_text">Введите текст кнопки:</label>
                    <input type="text" id="button_text" name="button_text" required>

                    <button type="submit">Обновить</button>
                    
                    
                </form>
                <?php if ($message): ?>
                    <p class="success-message"><?php echo $message; ?></p>
                <?php endif; ?>

                
<form method="post" action="admin.php">
    <div class="background-selector">
        <h2>Выбор фона:</h2>
        <div class="color-options">
            <button type="submit" name="colors" value="202,211,140,137,182,141,205,214,180" class="color-option" style="background: linear-gradient(to right, #dbddbb, #6ba587, #d5d88d, #88b884);">1</button>
            <button type="submit" name="colors" value="255,221,193,255,227,227,187,222,214,250,227,217" class="color-option" style="background: linear-gradient(to right, #ffddc1, #ffe3e3, #bbded6, #fae3d9);">2</button>
            <button type="submit" name="colors" value="15,76,117,50,130,184,187,225,250,27,38,44" class="color-option" style="background: linear-gradient(to right, #0f4c75, #3282b8, #bbe1fa, #1b262c);">4</button>
            <button type="submit" name="colors" value="217,191,119,184,92,56,140,63,63,100,70,54" class="color-option" style="background: linear-gradient(to right, #d9bf77, #b85c38, #8c3f3f, #644636);">3</button>
            <button type="submit" name="colors" value="255,111,97,107,66,38,136,216,176,255,222,125" class="color-option" style="background: linear-gradient(to right, #ff6f61, #6b4226, #88d8b0, #ffde7d);">5</button>
            <button type="submit" name="colors" value="168,213,226,249,249,249,69,123,157,29,53,87" class="color-option" style="background: linear-gradient(to right, #a8d5e2, #f9f9f9, #457b9d, #1d3557);">6</button>
            <button type="submit" name="colors" value="255,182,185,250,227,217,187,222,214,97,192,191" class="color-option" style="background: linear-gradient(to right, #ffb6b9, #fae3d9, #bbded6, #61c0bf);">7</button>
            <button type="submit" name="colors" value="244,225,210,250,137,123,159,196,144,247,207,145" class="color-option" style="background: linear-gradient(to right, #f4e1d2, #fa897b, #9fc490, #f7cf91);">8</button>
            <button type="submit" name="colors" value="214,230,242,168,208,230,108,142,164,77,76,125" class="color-option" style="background: linear-gradient(to right, #d6e6f2, #a8d0e6, #6c8ea4, #4d4c7d);">9</button>
            <button type="submit" name="colors" value="255,239,161,255,218,119,255,154,118,214,90,49" class="color-option" style="background: linear-gradient(to right, #ffefa1, #ffda77, #ff9a76, #d65a31);">10</button>
            <button type="submit" name="colors" value="201,201,201,166,166,166,132,132,132,92,92,92" class="color-option" style="background: linear-gradient(to right, #c9c9c9, #a6a6a6, #848484, #5c5c5c);">11</button>
        </div>
    </div>
</form>


                <div class="project-selector">
    <h2>Выбор проекта:</h2>
    <select id="projectSelect">
        <option value="">Выберите проект...</option>
        <?php 
        $projects = getProjects();
        foreach ($projects as $id => $project) {
            echo "<option value='$id'>Проект $id</option>";
        }
        ?>
    </select>
    
    <!-- Кнопка с векторной иконкой без текста -->
    <button id="deleteProjectButton" class="vector-delete-button">
        <img src="https://img.icons8.com/ios-filled/50/ffffff/trash.png" alt="Delete" class="icon">
    </button>
</div>
<style>
    .vector-delete-button {
        margin-top: 30px; /* Увеличенный отступ сверху */
        padding: 10px;
        background-color: #f44336; /* Цвет кнопки */
        border: none;
        border-radius: 50%; /* Закругленная кнопка */
        cursor: pointer;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        width: 50px;
        height: 50px;
    }

    .vector-delete-button:hover {
        background-color: #d32f2f; /* Темнее при наведении */
    }

    .vector-delete-button .icon {
        width: 24px;
        height: 24px;
    }
</style>

            </div>
            
            <div class="author">
                <p>Автор: <a href="https://t.me/adseu" target="_blank">https://t.me/adseu</a></p>
            </div>
        </div>

        <div class="content">
            <h2>Демонстрация результата:</h2>
            <div class="iframe-container">
                <iframe src="<?php echo $uniqueFilePath; ?>" id="resultFrame"></iframe>
            </div>
            <?php if ($message): ?>
                <div class="success-message"><?php echo $message; ?></div>
            <?php endif; ?>
        </div>
    </div>
    <script>
document.getElementById('projectSelect').addEventListener('change', function() {
    const selectedProjectId = this.value;
    const projects = <?php echo json_encode(getProjects()); ?>;

    if (selectedProjectId) {
        if (projects[selectedProjectId]) {
            const project = projects[selectedProjectId];
            const formData = project.form_data;

            document.getElementById('pixel_id').value = formData.pixel_id;
            document.getElementById('channel_name').value = formData.channel_name;
            document.getElementById('channel_description').value = formData.channel_description;
            document.getElementById('subscribers_count').value = formData.subscribers_count;
            document.getElementById('telegram_link').value = formData.telegram_link;
            document.getElementById('button_text').value = formData.button_text;
            document.getElementById('project_id').value = selectedProjectId;

            if (formData.avatar) {
                const avatarPreview = document.getElementById('avatarPreview');
                avatarPreview.src = formData.avatar;
                avatarPreview.style.display = 'block';
            } else {
                document.getElementById('avatarPreview').style.display = 'none';
            }

            const iframe = document.getElementById('resultFrame');
            iframe.src = project.file_path; // Убедитесь, что здесь путь правильный

            const uniqueLink = document.querySelector('.unique-link');
            if (uniqueLink) {
                uniqueLink.href = project.file_path;
                uniqueLink.textContent = "СМОТРЕТЬ";
            } else {
                const newLink = document.createElement('a');
                newLink.href = project.file_path;
                newLink.target = "_blank";
                newLink.className = "unique-link";
                newLink.textContent = "СМОТРЕТЬ";
                document.querySelector('.success-message').appendChild(newLink);
            }
        }
    } else {
        // Если выбран пункт "Выберите проект..."
        document.getElementById('project_id').value = '';
        document.getElementById('pixel_id').value = '';
        document.getElementById('channel_name').value = '';
        document.getElementById('channel_description').value = '';
        document.getElementById('subscribers_count').value = '';
        document.getElementById('telegram_link').value = '';
        document.getElementById('button_text').value = '';
        document.getElementById('avatarPreview').style.display = 'none';

        const iframe = document.getElementById('resultFrame');
        iframe.src = '<?php echo $templatePath; ?>'; // Убедитесь, что этот путь правильный

        const uniqueLink = document.querySelector('.unique-link');
        if (uniqueLink) {
            uniqueLink.href = '';
            uniqueLink.textContent = '';
        }
    }
});


    document.getElementById('avatar').addEventListener('change', function() {
        const file = this.files[0];
        if (file) {
            const reader = new FileReader();
            reader.onload = function(e) {
                const avatarPreview = document.getElementById('avatarPreview');
                avatarPreview.src = e.target.result;
                avatarPreview.style.display = 'block';
            };
            reader.readAsDataURL(file);
        }
    });

    document.getElementById('deleteProjectButton').addEventListener('click', function() {
        const selectedProjectId = document.getElementById('projectSelect').value;
        if (selectedProjectId) {
            if (confirm('Вы уверены, что хотите удалить этот проект?')) {
                const formData = new FormData();
                formData.append('delete_project_id', selectedProjectId);

                fetch('', {
                    method: 'POST',
                    body: formData
                })
                .then(response => response.text())
                .then(data => {
                    alert('Проект успешно удален!');
                    location.reload(); // Перезагрузка страницы для обновления списка проектов
                })
                .catch(error => {
                    alert('Ошибка при удалении проекта');
                    console.error('Error:', error);
                });
            }
        } else {
            alert('Пожалуйста, выберите проект для удаления.');
        }
    });

    

    document.addEventListener('DOMContentLoaded', function() {
        const newAvatarUrl = '<?php echo $newAvatarUrl; ?>';
        if (newAvatarUrl) {
            const iframe = document.getElementById('resultFrame');
            iframe.addEventListener('load', function() {
                const iframeDocument = iframe.contentDocument || iframe.contentWindow.document;
                const avatarImg = iframeDocument.querySelector('.tgme_page_photo_image');
                if (avatarImg) {
                    avatarImg.src = newAvatarUrl;
                }
            });
        }
    });
    </script>
    </body>
</html>
